require 'json'
require 'excon'
require 'faraday'

require 'geocodable/version'
require 'geocodable/geocodable_error'
require 'geocodable/json_parser'
require 'geocodable/request'

module Geocodable
  @api_base = 'https://api.geocodable.io/'
  @ssl_verify_certs = true

  class << self
    attr_accessor :api_key, :api_base, :ssl_verify_certs

    def geocode(query)
      Request.get('/v1/geocode.json', { query: query })
    end
  end
end
